#!/bin/bash
#
#  bnk-se-101.sh
#  2023-10-30 stvo
#  re-create foreign keys that may have been removed
#  during a previous failed upgrade attempt
#  $Id: bnk-se-101.sh,v 1.1 2023/10/30 12:58:25 testx Exp testx $
#
set -CEeuo pipefail
#set -x
INST=/usr/local/pd-admin2
source $INST/SETENV
RCM=$INST/htdocs/roundcubemail
sqlfile=${INST}/htdocs/roundcubemail/SQL/mysql/2020020101-fks.sql

function my 
{
   mysql -p$(cat /opt/pdadmin/etc/mysql_rootpw.conf) "$@"
}

if [ ! -e "$sqlfile" ]
then
   exit 0
fi

if my roundcubemail < "$sqlfile" 2> /dev/null
then
   echo "|"
   echo "| foreign keys in db roundcubemail re-created"
   echo "|"
fi
